Package com.verisign.epp.codec.gen

## Class EPPCodecException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.verisign.epp.exception.EPPException
      - - com.verisign.epp.codec.gen.EPPCodecException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `EPPDecodeException`, `EPPDuplicateExtensionException`, `EPPEncodeException`

      public class EPPCodecException
      extends EPPException

  Represents a general EPP Codec Exception. This exception supports for a limited form of exception value types without the need for subclassing.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static EPPCodecException` | `MISSINGPARAMETER` | The typesafe constant MISSINGPARAMETER defines the instance of EPPCodecException that should be thrown for missing input parameters.
    `static EPPCodecException` | `SAX_EXCEPTION` | The typesafe constant SAX_EXCEPTION defines the instance of EPPCodecException that should be thrown for SAX XML parse exceptions.
    `static int` | `VALUE_MISSINGPARAMETER` | Constant value for missing parameter exception
    `static int` | `VALUE_SAX_EXCEPTION` | Constant value for SAX XML exception
    `static int` | `VALUE_UNDEFINED` | Constant value for generic / undefined value of exception

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPCodecException​(int aValue)` | Constructs a new `EPPCodecException` instance.
    `EPPCodecException​(int aValue, java.lang.String aInfo)` | Constructs a new `EPPCodecException` instance.
    `EPPCodecException​(java.lang.String aInfo)` | Constructor for EPPCodecException that takes an info string.
    `EPPCodecException​(java.lang.String aInfo, EPPCodecException ex)` | Constructs a new `EPPCodecException` instance

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` | Returns true if the passed in EPPCodecException instances equals this instance.
    `int` | `getValue()` | Returns the value of the `EPPCodecException` instance.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### VALUE_UNDEFINED

          public static final int VALUE_UNDEFINED

      Constant value for generic / undefined value of exception
      See Also:
        Constant Field Values

    - #### VALUE_MISSINGPARAMETER

          public static final int VALUE_MISSINGPARAMETER

      Constant value for missing parameter exception
      See Also:
        Constant Field Values

    - #### VALUE_SAX_EXCEPTION

          public static final int VALUE_SAX_EXCEPTION

      Constant value for SAX XML exception
      See Also:
        Constant Field Values

    - #### MISSINGPARAMETER

          public static final EPPCodecException MISSINGPARAMETER

      The typesafe constant MISSINGPARAMETER defines the instance of EPPCodecException that should be thrown for missing input parameters.

    - #### SAX_EXCEPTION

          public static final EPPCodecException SAX_EXCEPTION

      The typesafe constant SAX_EXCEPTION defines the instance of EPPCodecException that should be thrown for SAX XML parse exceptions.

  - ### Constructor Detail

    - #### EPPCodecException

          public EPPCodecException​(java.lang.String aInfo)

      Constructor for EPPCodecException that takes an info string.
      Parameters:
        `aInfo` - Text description of the exception.

    - #### EPPCodecException

          public EPPCodecException​(int aValue)

      Constructs a new `EPPCodecException` instance.
      Parameters:
        `aValue` - The unique value of this instance using one of the `VALUE` constants.

    - #### EPPCodecException

          public EPPCodecException​(int aValue,
                                   java.lang.String aInfo)

      Constructs a new `EPPCodecException` instance.
      Parameters:
        `aValue` - The unique value of this instance.
        `aInfo` - Text description of the exception.

    - #### EPPCodecException

          public EPPCodecException​(java.lang.String aInfo,
                                   EPPCodecException ex)

      Constructs a new `EPPCodecException` instance
      Parameters:
        `aInfo` - Information that can be included with the `EPPCodecException`
        `ex` - An instance of an `EPPCodecException`. This should be one of the static instances defined in `EPPCodecException`.

  - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Returns true if the passed in EPPCodecException instances equals this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the exception to be
      Returns:
        boolean True if the two `EPPAssemblerException` have the same value.

    - #### getValue

          public int getValue()

      Returns the value of the `EPPCodecException` instance. The value should match one of the `VALUE` constants.
      Returns:
        One of the `VALUE` constants